<template>
	<div class="business">
		<jm-box :navList='navList' @navListC='navListC'>
			<div class="about">
				<div class="title">
					应急救援
				</div>
				<p>备灾救灾是红十字会四大核心工作之一，是《中华人民共和国红十字会法》赋予红十字会的重要职责，是红十字会“人道、博爱、
				奉献”精神的具体体现，是为社会扶危济困、行善积德的救助工程。</p>
				<P>在特大自然灾害和突发公共事件面前，人总显得非常脆弱，当鲜活的生命遭受摧残，当巨额的财产蒙受损失的时候，红十字一-个 神圣的标志就会成为人们的旗帜，
				它将汇聚八方力量，为灾难中的人们提供人道主义援助，帮助其度过难关，重建物质和精神家园。</P>
			</div>
		</jm-box>
	</div>
</template>

<script>
import { getArticList,getList } from '@/request/api.js'

import jmBox from '@/components/box.vue'
	export default {
		components: {
			jmBox,
		},
		data() {
			return {
				navChoose: 0,
				navList: {
					title: '核心业务',
					url: 'business',
					list: this.$store.state.business || []
				}
			}
		},
		mounted() {
			this.init()
		},
		methods: {
			navListC(index) {
				this.navChoose = index
			},
			init() {
				this.getdataList()
			},
			getdataList() {
				getList({},16).then(({data}) => {
					this.navList.list = data
					this.$store.commit('setBusiness',data)
				})
			},
			navListC(index) {
				this.navChoose = index
			}
		}
	}
</script>

<style lang="scss" scoped>
	.about {
		background-color: #fff;
		padding: 20px;
		.title {
			text-align: center;
			color: red;
			font-size: 18px;
		}
		p {
			text-indent: 1cm;
		}
	}
</style>
